Confirmed! SKY3DS can support 3DS V10.2.0-28U/E/J/K directly

Nintendo 3DSV10.2.0-28 came out and the nintendo team donot change much on this firmware since nintendo constantly aims to improve the functionality of its systems and services in order to provide the easiest, most user-friendly experience possible.

SKY3DS team has announced that sky3ds can support newest 3DS V10.2.0-28. Our own 3DS has been updated to 3DS10.2.0-28J  and testing with our sky3ds flashcard blue button, sky3ds works well on the latest firmware.

* It’s confirmed! SKY3DS can support newest 3DS V10.2.0-28!(10/20/2015)

Buy sky3ds flashcard from official reseller: www.digitopz.com

Advertisements